Layout/AccessModifierIndentation:
  EnforcedStyle: outdent

Layout/SpaceInsideHashLiteralBraces:
  EnforcedStyle: no_space

Metrics/BlockNesting:
  Max: 2

Metrics/LineLength:
  AllowURI: true
  Enabled: false

Metrics/MethodLength:
  CountComments: false
  Max: 10

Metrics/ParameterLists:
  Max: 4
  CountKeywordArgs: true

Style/CollectionMethods:
  PreferredMethods:
    map:      'collect'
    reduce:   'inject'
    find:     'detect'
    find_all: 'select'

Style/Documentation:
  Enabled: false

Style/DoubleNegation:
  Enabled: false

Style/ExpandPathArguments:
  Enabled: false

Style/HashSyntax:
  EnforcedStyle: hash_rockets

Style/StderrPuts:
  Enabled: false

Style/StringLiterals:
  EnforcedStyle: double_quotes

Style/TrailingCommaInArguments:
  EnforcedStyleForMultiline: comma

Style/TrailingCommaInHashLiteral:
  EnforcedStyleForMultiline: comma

Style/TrailingCommaInArrayLiteral:
  EnforcedStyleForMultiline: comma
  